商品自由項目ラベル削除
DELETE
/products/reserve_item_labels/{no}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/reserve_item_labels/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/reserve_item_labels/example \ --header 'Authorization: Bearer <token>'商品自由項目ラベル情報を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”no
required
string
商品自由項目番号
Responses
Section titled “Responses”削除成功
- 自由項目ラベルが使用中の場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example自由項目ラベルが使用中の場合
{ "type": "about:blank", "title": "Bad Request", "detail": "指定された項目番号は使用中です", "status": 400}- URI指定の自由項目ラベルが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定された項目番号のリソースが見つかりません", "status": 404}